<?php

namespace Simplyin\Simplyin_W_Plugin\Shipping_Mapping;

use Simplyin\Simplyin_W_Plugin\Shipping_Mapping\Integration\Integration_Interface;
use Simplyin\Simplyin_W_Plugin\Shipping_Mapping\Simplyin\Simplyin_Method_Interface;

class Mapping_Item {

	private Simplyin_Method_Interface $simplyin_method;

	/**
	 * @var Integration_Interface[] $integrations
	 */
	private array $integrations = [];


	public function put_integration( Integration_Interface $integration ) {
		$this->integrations[] = $integration;
	}

	public function set_simplyin_method(
		Simplyin_Method_Interface $simplyin_method
	): void {
		$this->simplyin_method = $simplyin_method;
	}

	public function get_simplyin_method(): Simplyin_Method_Interface {
		return $this->simplyin_method;
	}

	public function get_integrations(): array {
		return $this->integrations;
	}

}
